aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools/ios/bin/ios_path_exists
diff options
context:
space:
mode:
Diffstat (limited to 'platform_tools/ios/bin/ios_path_exists')
-rwxr-xr-xplatform_tools/ios/bin/ios_path_exists11
1 files changed, 7 insertions, 4 deletions
diff --git a/platform_tools/ios/bin/ios_path_exists b/platform_tools/ios/bin/ios_path_exists
index 06794eec3d..42a4f7ef5f 100755
--- a/platform_tools/ios/bin/ios_path_exists
+++ b/platform_tools/ios/bin/ios_path_exists
@@ -6,16 +6,19 @@
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
###############################################################################
-#
-# Check if ios path exists.
#
+# Check if ios path exists.
+#
+
+set -x -e
+
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source $SCRIPT_DIR/ios_setup.sh
-if [[ "$#" -ne "1" ]]; then
+if [[ "$#" -ne "1" ]]; then
echo "Usage: ios_path_exists <path_in_Documents_folder_of_ios_device>"
exit 1
fi
RET=ios_path_exists $1
-exit $RET
+exit $RET